Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057533 - [abrt] BUG: unable to handle kernel paging request at fffffffffffffff8
Summary: [abrt] BUG: unable to handle kernel paging request at fffffffffffffff8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stanislaw Gruszka
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7398d38ebccc885c2d96cd347c3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 09:54 UTC by Giandomenico De Tullio
Modified: 2014-02-04 02:49 UTC (History)
6 users (show)

Fixed In Version: kernel-3.12.9-201.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-03 02:49:35 UTC


Attachments (Terms of Use)
File: dmesg (deleted)
2014-01-24 09:54 UTC, Giandomenico De Tullio
no flags Details
i915_remove_pm_qos_request_on_error.patch (deleted)
2014-01-24 20:40 UTC, Stanislaw Gruszka
no flags Details
i915_remove_pm_qos_request_on_error_v3.12.patch (deleted)
2014-01-25 09:17 UTC, Stanislaw Gruszka
no flags Details
i915-remove-pm-qos-on-error.patch (deleted)
2014-01-25 16:21 UTC, Stanislaw Gruszka
no flags Details

Description Giandomenico De Tullio 2014-01-24 09:54:44 UTC
Additional info:
reporter:       libreport-2.1.11
BUG: unable to handle kernel paging request at fffffffffffffff8
IP: [<ffffffff81307a6b>] plist_add+0x5b/0xd0
PGD 1c0f067 PUD 1c11067 PMD 0 
Oops: 0000 [#1] SMP 
Modules linked in: ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 iwldvm mac80211 coretemp kvm_intel e1000e iwlwifi serio_raw uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media kvm iTCO_wdt iTCO_vendor_support mmc_block sdhci_pci i2c_i801 sdhci r592 mmc_core snd_hda_codec_realtek snd_hda_intel snd_hda_codec cfg80211 lpc_ich snd_hwdep snd_seq snd_seq_device microcode ptp pps_core sony_laptop memstick mfd_core rfkill shpchp snd_pcm snd_page_alloc snd_timer snd soundcore acpi_cpufreq nouveau mxm_wmi i915 ttm firewire_ohci i2c_algo_bit drm_kms_helper firewire_core crc_itu_t yenta_socket drm wmi i2c_core video
CPU: 0 PID: 725 Comm: NetworkManager Not tainted 3.12.8-300.fc20.x86_64 #1
Hardware name: Sony Corporation VGN-Z5/VAIO, BIOS R5031M3 11/10/2009
task: ffff8800aee44a40 ti: ffff8800ad82e000 task.ti: ffff8800ad82e000
RIP: 0010:[<ffffffff81307a6b>]  [<ffffffff81307a6b>] plist_add+0x5b/0xd0
RSP: 0018:ffff8800ad82f700  EFLAGS: 00010083
RAX: fffffffffffffff8 RBX: ffff880137cbc758 RCX: fffffffffffffff8
RDX: ffff880137cbc770 RSI: 0000000077359400 RDI: 0000000000000000
RBP: ffff8800ad82f728 R08: ffff880036f71dd8 R09: ffff880036f71dd8
R10: 0000000000000001 R11: 000000000000000e R12: ffffffff81c48fe0
R13: ffffffff81c48fe0 R14: ffff880137cbc770 R15: ffff880137cbc760
FS:  00007fe18dd0b880(0000) GS:ffff88013fc00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: fffffffffffffff8 CR3: 00000000ad867000 CR4: 00000000000407f0
Stack:
 ffff880137cbc758 ffffffff81c48fe0 0000000000000000 0000000077359400
 0000000000000000 ffff8800ad82f768 ffffffff810acf25 0000000000000292
 ffff880137cbc000 ffff880137cbc758 0000000000000001 00000000ffffffff
Call Trace:
 [<ffffffff810acf25>] pm_qos_update_target+0x125/0x1e0
 [<ffffffff810ad071>] pm_qos_add_request+0x91/0x100
 [<ffffffffa053ec14>] e1000_open+0xe4/0x5b0 [e1000e]
 [<ffffffff810907e6>] ? raw_notifier_call_chain+0x16/0x20
 [<ffffffff8156d87f>] __dev_open+0xbf/0x140
 [<ffffffff8156db3d>] __dev_change_flags+0x9d/0x150
 [<ffffffff8156dc9d>] dev_change_flags+0x1d/0x60
 [<ffffffff8157b182>] do_setlink+0x332/0x9f0
 [<ffffffff811a069e>] ? lookup_page_cgroup_used+0xe/0x30
 [<ffffffff811a7ec1>] ? mem_cgroup_bad_page_check+0x21/0x30
 [<ffffffff8114ad6b>] ? get_page_from_freelist+0x62b/0x950
 [<ffffffff8132a482>] ? nla_parse+0x32/0xe0
 [<ffffffff8157c4a4>] rtnl_newlink+0x394/0x5e0
 [<ffffffff810a1e56>] ? dequeue_entity+0x106/0x520
 [<ffffffff8101a200>] ? time_cpufreq_notifier+0x100/0x110
 [<ffffffff8101a299>] ? sched_clock+0x9/0x10
 [<ffffffff81578e89>] rtnetlink_rcv_msg+0x99/0x260
 [<ffffffff81197f78>] ? __kmalloc_node_track_caller+0x58/0x290
 [<ffffffff8155bcee>] ? __alloc_skb+0x7e/0x2b0
 [<ffffffff81578df0>] ? rtnetlink_rcv+0x30/0x30
 [<ffffffff81597c59>] netlink_rcv_skb+0xa9/0xc0
 [<ffffffff81578de8>] rtnetlink_rcv+0x28/0x30
 [<ffffffff815972ad>] netlink_unicast+0xdd/0x190
 [<ffffffff8131540d>] ? memcpy_fromiovec+0x4d/0x90
 [<ffffffff8159765f>] netlink_sendmsg+0x2ff/0x740
 [<ffffffff811f4433>] ? ep_poll_callback+0xf3/0x160
 [<ffffffff815530cb>] sock_sendmsg+0x8b/0xc0
 [<ffffffff81552dbe>] ? move_addr_to_kernel.part.16+0x1e/0x60
 [<ffffffff81553971>] ? move_addr_to_kernel+0x21/0x30
 [<ffffffff81553939>] ___sys_sendmsg+0x3a9/0x3c0
 [<ffffffff8116c3b2>] ? handle_mm_fault+0x3c2/0x1110
 [<ffffffff81551acf>] ? sock_destroy_inode+0x2f/0x40
 [<ffffffff815532ce>] ? SYSC_sendto+0x17e/0x1c0
 [<ffffffff81554042>] __sys_sendmsg+0x42/0x80
 [<ffffffff81554092>] SyS_sendmsg+0x12/0x20
 [<ffffffff81676a69>] system_call_fastpath+0x16/0x1b
Code: 04 24 4d 39 c4 74 4b 49 83 e8 18 8b 33 45 31 c9 4c 89 c0 eb 16 0f 1f 00 48 8b 78 08 48 8d 4f f8 49 39 c8 74 14 49 89 c1 48 89 c8 <39> 30 7e e9 4c 8d 68 18 48 89 c1 4c 89 c8 48 85 c0 74 04 39 30 
RIP  [<ffffffff81307a6b>] plist_add+0x5b/0xd0
 RSP <ffff8800ad82f700>

Comment 1 Giandomenico De Tullio 2014-01-24 09:54:53 UTC
Created attachment 854869 [details]
File: dmesg

Comment 2 Stanislaw Gruszka 2014-01-24 20:14:58 UTC
Is this issue reproducible ?

Comment 3 Giandomenico De Tullio 2014-01-24 20:34:47 UTC
I dont know. Just booted kernel.
rebooted, works flawless.

Only the first time of a work-day.

Comment 4 Stanislaw Gruszka 2014-01-24 20:37:50 UTC
I think I see reason of the oops here:

[    3.640279] [drm:i915_report_and_clear_eir] *ERROR* EIR stuck: 0x00000010, masking
[    3.692050] [drm:init_ring_common] *ERROR* render ring initialization failed ctl 0001f001 head 00003004 tail 00000000 start 00003000
[    3.692210] [drm:i915_driver_load] *ERROR* failed to init modeset
[    3.697002] i915: probe of 0000:00:02.0 failed with error -5

i915 failed to initialize and do not remove pm_qos request.

Comment 5 Stanislaw Gruszka 2014-01-24 20:40:47 UTC
Created attachment 855221 [details]
i915_remove_pm_qos_request_on_error.patch

Proposed fix for this issue.

Comment 6 Giandomenico De Tullio 2014-01-24 21:38:42 UTC
This system has an hybrid graphic card combo:  intel/nvidia. 

See my other bug: #1054122

Comment 7 Stanislaw Gruszka 2014-01-25 08:53:46 UTC
Yes, I notice double graphics, nvidia error is not related with this one I think.  If you have no idea how to reproduce this i915 error during initialization, I'll just post the patch, I'm convenient it fixes the oops.

Comment 8 Stanislaw Gruszka 2014-01-25 09:17:36 UTC
Created attachment 855323 [details]
i915_remove_pm_qos_request_on_error_v3.12.patch

Fix for 3.12 version.

Comment 9 Stanislaw Gruszka 2014-01-25 09:22:16 UTC
Patch was posted to upstream i915 mailing list, it can be seen here:
http://patchwork.freedesktop.org/patch/18771/
It does not apply cleanly for 3.12, modified patch for that version is attached.

Josh, please apply the patch as fix for this bug.

Comment 10 Stanislaw Gruszka 2014-01-25 16:21:39 UTC
Created attachment 855421 [details]
i915-remove-pm-qos-on-error.patch

Josh, please apply this patch instead. It drops not-necessary code movement and apply cleanly on upstream and 3.12 . It is committed to drm-intel-fixes tree:
http://cgit.freedesktop.org/~danvet/drm-intel/commit/?h=drm-intel-fixes&id=22accca01713b13dac386ca90b787aadf88f6551

Comment 11 Fedora Update System 2014-01-27 23:58:55 UTC
kernel-3.12.9-300.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/kernel-3.12.9-300.fc20

Comment 12 Fedora Update System 2014-01-27 23:59:30 UTC
kernel-3.12.9-200.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.12.9-200.fc19

Comment 13 Fedora Update System 2014-01-29 03:11:20 UTC
Package kernel-3.12.9-300.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.12.9-300.fc20'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-1726/kernel-3.12.9-300.fc20
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-02-03 02:49:35 UTC
kernel-3.12.9-301.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-02-04 02:49:02 UTC
kernel-3.12.9-201.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.